summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--gnome-base/gnome-desktop/Manifest1
-rw-r--r--gnome-base/gnome-desktop/gnome-desktop-3.38.3.ebuild71
2 files changed, 72 insertions, 0 deletions
diff --git a/gnome-base/gnome-desktop/Manifest b/gnome-base/gnome-desktop/Manifest
index 8e16e6d366e..6509ae646a0 100644
--- a/gnome-base/gnome-desktop/Manifest
+++ b/gnome-base/gnome-desktop/Manifest
@@ -1,3 +1,4 @@
DIST gnome-desktop-3.36.5.tar.xz 738956 BLAKE2B 6c419df487e908f57a1dc8798a8dfe8b574d8c5c9aa5d83e45aed233ba856ba398367a990aa83fb1b8966aad02c868cd0e41805908863ea8fef24cc3ade3687c SHA512 0b5ad42c0832d58552270e9e24dabf56668c4fbb84d07812e4a2a34cff0a67344a7c8ee963a53a703b2e4bb28c67035bf2ce854ea271194511dc66e051481b1b
DIST gnome-desktop-3.36.8.tar.xz 739236 BLAKE2B 378cf551787863543e30b0e69dd7447a5a9fd1026c3c85f32f140874658f803e6e8d2a82c79a1a9c4aadd08043905f1b0486e900596e855c2650248ac9478d01 SHA512 d9a447ec1c34e98d19ed6f5ef7e48f19d89009bd20368e2d731ff0cea30adc2dea6c0293df9b07f39e4573035edd25815ccd7d740f09ba421ebee74b7c8c90a2
DIST gnome-desktop-3.38.2.tar.xz 745252 BLAKE2B cdbc3ae5bf78dfed0dcedfd83c01ab13f551c312d4eb5e680a9e22932d55ee9cf9334bec84cd99186d43afcf3fe707a12b469409d5c2094a8bbd8a1d36a75ed2 SHA512 93e98c10cac0f1c035af33fc61f945dfdbe12e88e4c42d44b5ba0570f8d81bb3f40f5e0d9fd6c4e4d9faf674f38ded0fc99dfffd57b824d62b92368df6239da8
+DIST gnome-desktop-3.38.3.tar.xz 745372 BLAKE2B d5df6d8bead6f65f655c7fbb65ea07937250318ee1fdc3e15c7d74a6e5933389640a06d162079dfce0137db11ceb67b4d86dcff787ecee9dbbbdf750e7aaa252 SHA512 023121316d308d8d69a26bd595657f2d7471da82395c7208cdd642a5e58927d2af05b27b6a0e52eaa10f9fa5a27c1146d5496c042ae3a9cf7e134875d3b2c84f
diff --git a/gnome-base/gnome-desktop/gnome-desktop-3.38.3.ebuild b/gnome-base/gnome-desktop/gnome-desktop-3.38.3.ebuild
new file mode 100644
index 00000000000..6ec27d91925
--- /dev/null
+++ b/gnome-base/gnome-desktop/gnome-desktop-3.38.3.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit gnome.org gnome2-utils meson xdg
+
+DESCRIPTION="Library with common API for various GNOME modules"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/gnome-desktop/"
+
+LICENSE="GPL-2+ LGPL-2+ FDL-1.1+"
+SLOT="3/19" # subslot = libgnome-desktop-3 soname version
+IUSE="debug gtk-doc +introspection seccomp systemd udev"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+
+COMMON_DEPEND="
+ >=x11-libs/gdk-pixbuf-2.36.5:2[introspection?]
+ >=x11-libs/gtk+-3.3.6:3[X,introspection?]
+ >=dev-libs/glib-2.53.0:2
+ >=gnome-base/gsettings-desktop-schemas-3.27.0[introspection?]
+ x11-misc/xkeyboard-config
+ app-text/iso-codes
+ systemd? ( sys-apps/systemd:= )
+ udev? (
+ sys-apps/hwids
+ virtual/libudev:= )
+ seccomp? ( sys-libs/libseccomp )
+
+ x11-libs/cairo:=
+ introspection? ( >=dev-libs/gobject-introspection-1.54:= )
+"
+DEPEND="${COMMON_DEPEND}
+ media-libs/fontconfig
+"
+RDEPEND="${COMMON_DEPEND}
+ seccomp? ( sys-apps/bubblewrap )
+"
+BDEPEND="
+ app-text/docbook-xml-dtd:4.1.2
+ dev-util/gdbus-codegen
+ gtk-doc? ( >=dev-util/gtk-doc-1.14 )
+ dev-util/itstool
+ >=sys-devel/gettext-0.19.8
+ x11-base/xorg-proto
+ virtual/pkgconfig
+"
+# Includes X11/Xatom.h in libgnome-desktop/gnome-bg.c which comes from xorg-proto
+
+PATCHES=(
+ "${FILESDIR}"/3.32.2-optional-introspection.patch # add introspection meson option
+)
+
+src_prepare() {
+ # Don't build manual test programs that will never get run
+ sed -i -e "/'test-.*'/d" libgnome-desktop/meson.build || die
+ xdg_src_prepare
+}
+
+src_configure() {
+ local emesonargs=(
+ -Dgnome_distributor=Gentoo
+ -Ddate_in_gnome_version=true
+ -Ddesktop_docs=true
+ $(meson_use debug debug_tools)
+ $(meson_use introspection)
+ $(meson_feature udev)
+ $(meson_feature systemd)
+ $(meson_use gtk-doc gtk_doc)
+ -Dinstalled_tests=false
+ )
+ meson_src_configure
+}